Bug 68599

Summary: [EFL] Rename ewk_tiled_*.c to ewk_tiled_*.cpp
Product: WebKit Reporter: Ryuan Choi <ryuan.choi>
Component: WebKit EFLAssignee: Ryuan Choi <ryuan.choi>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, gyuyoung.kim, leandro, lucas.de.marchi, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 68994    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
rebased
none
diff_for_easy_review
none
Patch none

Description Ryuan Choi 2011-09-22 01:13:51 PDT
Patch will be added.
Comment 1 Ryuan Choi 2011-09-27 17:28:12 PDT
Created attachment 108939 [details]
Patch
Comment 2 Gyuyoung Kim 2011-09-27 17:33:02 PDT
Comment on attachment 108939 [details]
Patch

Attachment 108939 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/9879510
Comment 3 Ryuan Choi 2011-09-27 17:35:59 PDT
Created attachment 108942 [details]
Patch
Comment 4 Gyuyoung Kim 2011-09-27 17:40:04 PDT
Comment on attachment 108942 [details]
Patch

Attachment 108942 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/9883420
Comment 5 Ryuan Choi 2011-09-27 17:55:06 PDT
(In reply to comment #4)
> (From update of attachment 108942 [details])
> Attachment 108942 [details] did not pass efl-ews (efl):
> Output: http://queues.webkit.org/results/9883420

It's because of old eina.
I'll bump eina at different bug.

Gyuyoung, Could you update build bot?
Comment 6 Gyuyoung Kim 2011-09-28 01:12:12 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (From update of attachment 108942 [details] [details])
> > Attachment 108942 [details] [details] did not pass efl-ews (efl):
> > Output: http://queues.webkit.org/results/9883420
> 
> It's because of old eina.
> I'll bump eina at different bug.
> 
> Gyuyoung, Could you update build bot?

I update eina both ews and buildbot. Please submit your patch again.
Comment 7 Ryuan Choi 2011-09-28 04:03:37 PDT
Created attachment 108999 [details]
Patch
Comment 8 Ryuan Choi 2011-09-28 04:09:41 PDT
Created attachment 109000 [details]
Patch
Comment 9 Ryuan Choi 2011-09-28 20:42:29 PDT
Created attachment 109117 [details]
rebased
Comment 10 Gyuyoung Kim 2011-09-28 20:46:38 PDT
I wonder which codes are changed to fix compile errors. Because, it is difficult to find the changes in this patch.
Comment 11 Ryuan Choi 2011-09-28 21:00:15 PDT
Created attachment 109119 [details]
diff_for_easy_review

Attached file is diff after renamed for easy review.
It is same with 109117 without renaming.
Comment 12 Gyuyoung Kim 2011-09-29 16:54:21 PDT
Comment on attachment 109119 [details]
diff_for_easy_review

View in context: https://bugs.webkit.org/attachment.cgi?id=109119&action=review

> Source/WebKit/efl/ewk/ewk_tiled_backing_store.cpp:834
> +    void* newItems = realloc(priv->view.items, sizeof(Eina_Inlist*) * (int)rows);

Missing to use C++ casting in (int)rows.
Comment 13 Ryuan Choi 2011-09-29 17:31:08 PDT
Created attachment 109225 [details]
Patch
Comment 14 Ryuan Choi 2011-09-29 17:32:32 PDT
(In reply to comment #12)
> (From update of attachment 109119 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=109119&action=review
> 
> > Source/WebKit/efl/ewk/ewk_tiled_backing_store.cpp:834
> > +    void* newItems = realloc(priv->view.items, sizeof(Eina_Inlist*) * (int)rows);
> 
> Missing to use C++ casting in (int)rows.

I fixed it by removing (int). Other is same.
Comment 15 Hajime Morrita 2011-10-02 22:16:44 PDT
Comment on attachment 109225 [details]
Patch

Rubberstamping.
Comment 16 WebKit Review Bot 2011-10-03 07:12:28 PDT
Comment on attachment 109225 [details]
Patch

Clearing flags on attachment: 109225

Committed r96495: <http://trac.webkit.org/changeset/96495>
Comment 17 WebKit Review Bot 2011-10-03 07:12:35 PDT
All reviewed patches have been landed.  Closing bug.